- API reference
- Order Management API
Update the order amount and order lines
https://api.kustom.co/ordermanagement/v1/orders/{order_id}/authorization
Set new order amount and order lines. Read more on Updating orders
Order id
This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.
No field here matches the current filters.
Description of the change.
The new total order amount. Minor units.
New set of order lines for the order.
20 fields in order_lines
URL to an image that can be embedded in communications between Klarna and the customer.
Data about the order line.
Descriptive item name.
product_identifiers
6 fields in product_identifiers
The product’s brand name as generally recognized by consumers. If no brand is available for a product, do not supply any value. Maximum 70 characters. Example: Intel
The product’s category path as used in the merchant’s webshop. Include the full and most detailed category and separate the segments with ’ > ’. Maximum 750 characters. Example: Electronics Store > Computers & Tablets > Desktops
Color to be shown to the end customer (max 64 characters). Example: Denim blue
The product’s Global Trade Item Number (GTIN). Common types of GTIN are EAN, ISBN or UPC. Exclude dashes and spaces, where possible. Maximum 50 characters. Example: 735858293167
The product’s Manufacturer Part Number (MPN), which - together with the brand - uniquely identifies a product. Only submit MPNs assigned by a manufacturer and use the most specific MPN possible. Maximum 70 characters. Example: BOXNUC5CPYH
Size to be shown to the end customer (max 64 characters). Example: 4
URL to the product that can be used in communications between Klarna and the customer.
Item quantity.
Unit used to describe the quantity.
Article number, SKU, or similar identifier on the product variant level.
The tax rate in percent with two implicit decimals.
Total amount including tax and discounts (
quantity * unit_price - total_discount_amount).The discount amount in minor units. Includes tax. Example: 1200 = $12. Max value: 200000000
The total tax amount in minor units.
Order line type.
- physical
- discount
- shipping_fee
- sales_tax
- store_credit
- gift_card
- digital
- surcharge
- return_fee
- package
Unit price including tax without applying discounts in minor units.
No field here matches the current filters.
Authorization was updated.
No response body — this status returns headers only.
No field here matches the current filters.
Update authorization not allowed. Decision is based on order state and outcome of risk assessment.
Correlation id. For searching logs.
Error code
Error messages
No field here matches the current filters.
Not Found
- INTERNAL_ERROR
- NOT_FOUND
- TOO_MANY_REQUESTS
- REFUND_NOT_ALLOWED
- CAPTURE_NOT_ALLOWED
- CANCEL_NOT_ALLOWED
- UPDATE_NOT_ALLOWED
- NO_SUCH_ORDER
- BAD_REQUEST
- PAYLOAD_TOO_LARGE
- NO_SUCH_CAPTURE
- RESOURCE_NOT_FOUND
- +4 more
No field here matches the current filters.
Conflict
No response body — this status returns headers only.
No field here matches the current filters.
Errors
| Code | Status | What it means | Retry |
|---|---|---|---|
UPDATE_NOT_ALLOWED | 403 | The order's state or risk assessment does not allow changing its amount or address. Needs AUTHORIZED. | Never retry |
This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.